This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 565792 - (CVE-2010-0423) CVE-2010-0423 pidgin: Smiley Denial of Service
CVE-2010-0423 pidgin: Smiley Denial of Service
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,source=upstream,reported=2...
: Security
Depends On: 565911 565912 565913 565914 566126 566400 833966
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-16 05:12 EST by Tomas Hoger
Modified: 2012-06-20 10:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-22 02:44:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Upstream patch to be included in 2.6.6 (4.26 KB, patch)
2010-02-16 05:13 EST, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Tomas Hoger 2010-02-16 05:12:32 EST
Pidgin 2.6.6 is fixing a denial of service (remotely-triggered high CPU use) triggered by large amount of "smileys" in received instant messages.  This issue is addressed by setting a limit on number of smileys processed.
Comment 1 Tomas Hoger 2010-02-16 05:13:09 EST
Created attachment 394494 [details]
Upstream patch to be included in 2.6.6
Comment 4 Jan Lieskovsky 2010-02-18 04:07:49 EST
Public now via:
  http://pidgin.im/news/security/
Comment 5 Tomas Hoger 2010-02-18 04:18:58 EST
http://pidgin.im/news/security/?id=45
Comment 7 errata-xmlrpc 2010-02-18 11:11:36 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0115 https://rhn.redhat.com/errata/RHSA-2010-0115.html
Comment 8 Fedora Update System 2010-02-19 19:09:14 EST
pidgin-2.6.6-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-02-19 19:13:45 EST
pidgin-2.6.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-02-19 19:26:17 EST
pidgin-2.6.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.